-- Lua Script1
-- Author: Ninakoru
-- DateCreated: 6/1/2013 11:26:39 PM
--------------------------------------------------------------
function UnitCreatedChecks( playerID,
							unitID,
							hexVec,
							unitType,
							cultureType,
							civID,
							primaryColor,
							secondaryColor,
							unitFlagIndex,
							fogState)
	local currentPlayer = Players[playerID];
	--print("Entering UnitCreatedChecks");
	if not (currentPlayer:IsHuman() or currentPlayer:IsBarbarian()) then
		local iHandicap = Game:GetHandicapType();
		local matchingPromotion = GameInfoTypes["PROMOTION_HANDICAP_" .. iHandicap];
		if not not matchingPromotion then
			local pUnit = currentPlayer:GetUnitByID(unitID);
			--print("unit is: " .. pUnit:GetName() .. "from player: " .. currentPlayer:GetName())
			if (pUnit:GetBaseCombatStrength() + pUnit:GetBaseRangedCombatStrength()) > 0 then
				--print("Is combat unit, gets promotion");
				pUnit:SetHasPromotion(matchingPromotion, true);
			end
		end
	end
end

Events.SerialEventUnitCreated.Add(UnitCreatedChecks)
